Skip to main content
PUT
/
v1
/
installs
/
{installSid}
/
users
/
{userSid}
Update Admin User
curl --request PUT \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/users/{userSid} \
  --header 'Content-Type: application/json' \
  --header 'token: <api-key>' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "preferredEmail": "<string>",
  "homePhone": "<string>",
  "mobilePhone": "<string>",
  "currencyCode": "<string>",
  "timeZoneSid": "<string>",
  "username": "<string>",
  "password": "<string>",
  "enabled": true
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
userSid
string
required

User Sid

Pattern: ^US[a-f0-9]{32}$

Body

application/json
firstName
string

First Name

lastName
string

Last Name

email
string

Email

preferredEmail
string

Preferred Email

homePhone
string | null

Home Phone

mobilePhone
string | null

Mobile Phone

currencyCode
string

Currency code

timeZoneSid
string

Time Zone Sid

Pattern: ^TZ[a-f0-9]{32}$
username
string

Username for user

password
string

Password for user

Pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$@!%&*?])[A-Za-z\d#$@!%&*?]{8,30}$
enabled
boolean

If login as this user is enabled

Response

default - application/json

Successful

The response is of type string.